Demo

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jlrfid.service
Class Demo

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.jlrfid.service.Demo

All Implemented Interfaces:
  junit.framework.Test

    public class Demo

extends junit.framework.TestCase

Constructor Summary
`Demo()`

Method Summary
`void` | `testGetAnt()`
`void` | `testGetDevVersion()`
`void` | `testGetDI()`
`void` | `testLockTag()`
`void` | `testReadCard()`
`void` | `testSetAlive()`
`void` | `testSetAnt()`
`void` | `testSetDO()`
`void` | `testStopInv()`
`void` | `testWriteCard()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Demo

    public Demo()

Method Detail

### testGetAnt

    public void testGetAnt()

### testSetAnt

    public void testSetAnt()
                    throws RFIDException

  Throws:
    `RFIDException`

### testGetDevVersion

    public void testGetDevVersion()

### testGetDI

    public void testGetDI()

### testSetDO

    public void testSetDO()
                   throws RFIDException

  Throws:
    `RFIDException`

### testLockTag

    public void testLockTag()
                     throws RFIDException

  Throws:
    `RFIDException`

### testReadCard

    public void testReadCard()
                      throws RFIDException

  Throws:
    `RFIDException`

### testWriteCard

    public void testWriteCard()
                       throws RFIDException

  Throws:
    `RFIDException`

### testSetAlive

    public void testSetAlive()
                      throws RFIDException

  Throws:
    `RFIDException`

### testStopInv

    public void testStopInv()
                     throws RFIDException

  Throws:
    `RFIDException`

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD